# Logs
# 忽略日志文件
logs
*.log
npm-debug.log*        # npm 调试日志文件
yarn-debug.log*       # yarn 调试日志文件
yarn-error.log*       # yarn 错误日志文件
pnpm-debug.log*       # pnpm 调试日志文件
lerna-debug.log*      # lerna 调试日志文件

# Node Modules
# 忽略 node_modules 文件夹，依赖可以通过 npm 或 yarn 重新安装
node_modules

# macOS 系统文件
# 忽略 macOS 系统生成的 .DS_Store 文件
.DS_Store

# 构建输出
# 忽略项目的构建输出文件夹
dist                  # 通常的构建输出目录
dist-ssr              # 服务端渲染的构建输出目录
coverage              # 测试覆盖率报告目录
*.local               # 本地环境相关的临时文件

# Cypress 文件
# 忽略 Cypress 生成的视频和截图文件
/cypress/videos/      # 测试时录制的视频
/cypress/screenshots/ # 测试失败时的截图

# 编辑器相关配置文件
# 忽略常见编辑器和 IDE 的配置文件
.vscode/*             # VSCode 配置文件夹
!.vscode/extensions.json # 保留 VSCode 的扩展插件推荐配置
.idea                 # WebStorm/IntelliJ 的配置文件夹
*.suo                 # Visual Studio 的解决方案用户选项文件
*.ntvs*               # Node.js Tools for Visual Studio 的配置文件
*.njsproj             # Node.js 项目文件（Visual Studio）
*.sln                 # Visual Studio 的解决方案文件
*.sw?                 # Vim 的交换文件

# TypeScript
# 忽略 TypeScript 构建过程生成的缓存文件
*.tsbuildinfo
